Firefox NS_ERROR_FAILURE with Square-connect API

script works fine and dandy in chrome (on Linux) but not Firefox:

with firefox, i get a 400 Bad Request error for the file "https://connect.squareup.com/v2/js-error"

category: INVALID_REQUEST_ERROR
code: BAD_REQUEST
detail: message is required

any ideas?